org.apache.ignite.internal.managers.communication

## Interface GridDisconnectListener

    public interface GridDisconnectListener

Node disconnect listener interface.

### Method Summary

Methods
`void` `onNodeDisconnected(UUID nodeId)` Callback invoked when connection between nodes is closed.

### Method Detail

#### onNodeDisconnected

    void onNodeDisconnected(UUID nodeId)

Callback invoked when connection between nodes is closed. This callback invocation does not necessarily mean that node failed or some messages got lost. However, there is such possibility, so listeners can set up timeout objects to check for lost responses.

Parameters:
  `nodeId` - Node ID for which connection was closed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015